Package cx.ath.matthew.cgi

# Class CheckBox

java.lang.Object
cx.ath.matthew.cgi.Field
cx.ath.matthew.cgi.CheckBox

public class CheckBox extends Field

## Field Summary

### Fields inherited from class cx.ath.matthew.cgi.Field

`label, name`

## Constructor Summary

Constructors
Constructor
Description
`CheckBox(String name, String label, boolean checked)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`print()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CheckBox

public CheckBox(String name, String label, boolean checked)

## Method Details

### print

protected String print()

Specified by:
  `print` in class `Field`